/*
   New Perspectives on HTML, CSS, and JavaScript
  IT-270 Project

   Author: David Dean
   Date:   January 23, 2016

   Function List
   =============

   startup()
      Run when the Web page is loaded; applies the onclick
      event handlers to the font buttons.

   resizeText()
      Changes the inline font-size style for the document body,
      based on the value of the font image button being clicked.
	
*/

function startup() {
	
  var fontButtons = document.getElementsByClassName("fontsizer");
  for (var i = 0; i < fontButtons.length; i++) {
    fontButtons[i].onclick=function(){
		resizeText(this);
		};
  }
}
 
function resizeText(sizeButton) {
		
  var fontChange = parseFloat(sizeButton.value);
 	
  if (document.body.style.fontSize == "") {
    document.body.style.fontSize = "1.0em";
  }

  var currentFontSize = parseFloat(document.body.style.fontSize);
  document.body.style.fontSize = currentFontSize+fontChange+"em";
  	
}

/* This is just in case text-resize fails to work.

function startup() {
		
  var fontButtons = document.getElementsByClassName("fontsizer");
  for (var i = 0; i < fontButtons.length; i++) {
    fontButtons[i].onclick=function(){
		resizeText(this);
		};
  }
}function resizeText(objButton) {
  var fontChange = parseFloat(objButton.value);
 
  if (document.body.style.fontSize == "") {
    document.body.style.fontSize = "1.0em";
  }

  var currentFontSize = parseFloat(document.body.style.fontSize);
  document.body.style.fontSize = currentFontSize+fontChange+"em";
}*/

/*
//var emailField = document.getElementById("email");

//emailField.onfocus = function() {
 //   if ( emailField.value == "your email") {
 //       emailField.value = "";
 //   }
//emailField.onblur = function() {
//   if ( emailField.value == "") {
 //       emailField.value = "your email";
//    }
//  } 

var emailField = document.getElementById("email");

emailField.onfocus = function() {
    if ( emailField.value == "your email") {
        emailField.value = "";
    }
};

emailField.onblur = function() {
    if ( emailField.value == "") {
        emailField.value = "your email";
    }
};*/

//function resizeText(sizeButton) {
//	alert("Hello");
  //var fontChange = parseFloat(sizeButton.value);
 
  //if (document.body.style.fontSize == "") {
  //  document.body.style.fontSize = "1.0em";
  //}

  //var currentFontSize = parseFloat(document.body.style.fontSize);
  //document.body.style.fontSize = currentFontSize+fontChange+"em";
//}
